GeoRuntimeReader (uri-resolver 1.5.0-SNAPSHOT API)
Date: 2016-01-29

org.gcube.datatransfer.resolver.gis

## Class GeoRuntimeReader

- java.lang.Object
- - org.gcube.datatransfer.resolver.gis.GeoRuntimeReader

-     public class GeoRuntimeReader
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GeoRuntimeReader.GEO_SERVICE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `GEONETWORK_RESOURCE_NAME`
    `static String` | `GEOSERVER_RESOURCE_NAME`
    `static org.slf4j.Logger` | `logger`
    `static String` | `WORKSPACES_PROPERTY_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeoRuntimeReader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerParameters` | `retrieveGisParameters(String scope, GeoRuntimeReader.GEO_SERVICE geoservice)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GEOSERVER_RESOURCE_NAME

          public static final String GEOSERVER_RESOURCE_NAME

      See Also:
        Constant Field Values

    - #### GEONETWORK_RESOURCE_NAME

          public static final String GEONETWORK_RESOURCE_NAME

      See Also:
        Constant Field Values

    - #### WORKSPACES_PROPERTY_NAME

          public static final String WORKSPACES_PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### logger

          public static final org.slf4j.Logger logger

  - ### Constructor Detail

    - #### GeoRuntimeReader

          public GeoRuntimeReader()

  - ### Method Detail

    - #### retrieveGisParameters

          public ServerParameters retrieveGisParameters(String scope,
                                               GeoRuntimeReader.GEO_SERVICE geoservice)
                                                 throws Exception

      Throws:
        `Exception`

Copyright © 2016. All Rights Reserved.